# Remove private provides from .so files in the python_sitearch directory
%global __provides_exclude_from ^%{python_sitearch}/.*\\.so$

Name:           xpra-codecs-freeworld
Version:        0.8.8
Release:        2%{?dist}
Summary:        Additional codecs for xpra

License:        GPLv2+
URL:            http://www.xpra.org/
Source0:        http://xpra.org/src/xpra-%{version}.tar.xz

BuildRequires:  python2-devel pygobject2-devel pygtk2-devel
BuildRequires:  libXtst-devel
BuildRequires:  Cython
BuildRequires:  x264-devel
BuildRequires:  ffmpeg-devel
BuildRequires:	libvpx-devel

Requires:       xpra == %{version}

%description
Provides support for H.264 AVC and WebM in xpra.

%prep
%setup -q -n xpra-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}

mkdir destdir
%{__python} setup.py install --skip-build --root destdir

mkdir -p %{buildroot}%{python_sitearch}/xpra
cp -pr destdir%{python_sitearch}/xpra/x264 destdir%{python_sitearch}/xpra/vpx \
        %{buildroot}%{python_sitearch}/xpra

%files
%{python_sitearch}/xpra/x264
%{python_sitearch}/xpra/vpx
%doc COPYING

%changelog
* Thu Mar 28 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.8.8-2
- split off plugins that can't be in Fedora proper

* Thu Mar 14 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.8.8-1
- initial package
